org.eclipse.emf.cdo.spi.common.commit

## Class CDOChangeSetDataRevisionProvider

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.commit.CDOChangeSetDataRevisionProvider

- All Implemented Interfaces:
    CDOChangeSetDataProvider, CDORevisionProvider

      public class CDOChangeSetDataRevisionProvider
      extends java.lang.Object
      implements CDORevisionProvider, CDOChangeSetDataProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOChangeSetDataRevisionProvider(CDORevisionProvider delegate, CDOChangeSetData changeSetData)`
    `CDOChangeSetDataRevisionProvider(CDORevisionProvider delegate, CDOChangeSetData changeSetData, CDORevisionProvider revisionCallback, CDORevisionDeltaProvider revisionDeltaCallback)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOChangeSetData` | `getChangeSetData()`
    `CDORevision` | `getRevision(CDOID id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOChangeSetDataRevisionProvider

          public CDOChangeSetDataRevisionProvider(CDORevisionProvider delegate,
                                                  CDOChangeSetData changeSetData,
                                                  CDORevisionProvider revisionCallback,
                                                  CDORevisionDeltaProvider revisionDeltaCallback)

    - #### CDOChangeSetDataRevisionProvider

          public CDOChangeSetDataRevisionProvider(CDORevisionProvider delegate,
                                                  CDOChangeSetData changeSetData)

  - ### Method Detail

    - #### getChangeSetData

          public CDOChangeSetData getChangeSetData()

      Specified by:
        `getChangeSetData` in interface `CDOChangeSetDataProvider`

    - #### getRevision

          public CDORevision getRevision(CDOID id)

      Specified by:
        `getRevision` in interface `CDORevisionProvider`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html